commit:     7ec02e3a31e83d41be5eabed9d7accd66f7fae7b
Author:     Craig Andrews <candrews <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 12 15:06:48 2025 +0000
Commit:     Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Wed Feb 12 15:07:01 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7ec02e3a

www-apps/sonarr-bin: add 4.0.13.2932

Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>

 www-apps/sonarr-bin/Manifest                      |  5 ++
 www-apps/sonarr-bin/sonarr-bin-4.0.13.2932.ebuild | 73 +++++++++++++++++++++++
 2 files changed, 78 insertions(+)

diff --git a/www-apps/sonarr-bin/Manifest b/www-apps/sonarr-bin/Manifest
index ee903e4b772e..08f7b55804c3 100644
--- a/www-apps/sonarr-bin/Manifest
+++ b/www-apps/sonarr-bin/Manifest
@@ -3,3 +3,8 @@ DIST Sonarr.develop.4.0.12.2900.linux-arm64.tar.gz 98405249 
BLAKE2B 58ec56fd268f
 DIST Sonarr.develop.4.0.12.2900.linux-musl-arm64.tar.gz 98464643 BLAKE2B 
96330a0d07f6043f27e20cd431dc8ef84a7ff3ddd0b01baaf0ed2af62c5c410e1f2bc3cb11affe7c0fca83533d4353fc3bd8b32c88ac7c00b04568f17080af8c
 SHA512 
36c4fb2b556bfc9b7dc2d46ffebfc4c5dce8a1a3851a03502911d3fe949720a4ec5f09299a7bad15aa94f73cf598d36490423b01c38ffe1b1a31532a6f6363bd
 DIST Sonarr.develop.4.0.12.2900.linux-musl-x64.tar.gz 103399095 BLAKE2B 
000444258a04e9e2147c84dd40c9c4beff8db4e257706ded40e2429247987d19fdfe9f2807e3c235805fdfc9bf0c964fe4c852ab169e220152999b89f830a4be
 SHA512 
ccc3fb20a049a11bb1b474b0611444f226f4465d5385a218b1651144e6de0b8d8dc175d502d35b52cccb063c8e34807adb53b4ecefed2e5837be89c890a7bca1
 DIST Sonarr.develop.4.0.12.2900.linux-x64.tar.gz 104331486 BLAKE2B 
469441f3b557b3dae2d9ffa5f1be39789d884a3e86541a91684090b0ec7375cd0ad469cffb6978b64ab715fa8dd24b923b3ef7572dc0c8f4f2b5965fd5690eaf
 SHA512 
c66f2d4f8b210ce6a750956331e66d374c1fc66268987067b7a75c991537f8a61caef2cdca3d53f254f45b3650474dba1b9e175a29b8df92974bf0836069ef8e
+DIST Sonarr.main.4.0.13.2932.linux-arm.tar.gz 98703612 BLAKE2B 
201d1f30d7a5977b9ff66b595906a835142114e04d30cee2c3b17a6d3cd701c9c140b8315789af784d904b7b0200c6b589f5e11cc7241c8a97504525fcb38429
 SHA512 
9cd1a0f275ef42280130d834eb5ea81f2ff12906ff5a9188c3097a3f995c2592c93670ff499bade99ed130273e9e33f5fe67928d26daf3ccf7a648b5def78868
+DIST Sonarr.main.4.0.13.2932.linux-arm64.tar.gz 98443664 BLAKE2B 
0a222094d556be95c6cac4a9e009152a23e23114cc58ee27f2589961c0310c6c9e1247271502d6afd077a3cb1012b9f8c5893b0a80e9a95d877d672406861c1c
 SHA512 
abbe2606a802cb6856eaf2902647c26117a95d4541d5f8b2dd3a48c7168806b8c2530209a207bfecd15888d5c2c378df79c29aa0e60c276a2b6f9e8645f74ee9
+DIST Sonarr.main.4.0.13.2932.linux-musl-arm64.tar.gz 98488975 BLAKE2B 
83417022f17139ca21b5f19b3e1eeb5a6e97009de8cb1d2fa1c4175a2ec1ca265bf3054ea690cf135fd75ecfabea83bb23a557c471b6f4c4736cb43c7cd3bf20
 SHA512 
685ba53f8cb4a585d2831b01fe54ee7bb1a4e71b725dfa3883a90144f1d3cef163d97726b538bcf2f73dd411043b447eb94bb22591f5f645f3c37f7c5e273633
+DIST Sonarr.main.4.0.13.2932.linux-musl-x64.tar.gz 103421951 BLAKE2B 
9fd63fc23a70172ab4a4f5a89bf92419ebe5adfc8659ad840f7be7c72ed7f2ea81cd92eef06db711cdd5c10787fa1019224dd870d6ca4eee4befbdb313ea5490
 SHA512 
d063892e5ebd80975ec3c9f7a344500f4705cd03cc09a7f4258fd06b22b5ac570f164242b7de4048b96e44825d1ca4881a2a3b3cb745307a3c92954f6208d232
+DIST Sonarr.main.4.0.13.2932.linux-x64.tar.gz 104360802 BLAKE2B 
a91c5c78d8dc96e8a113ee9d903354a54dab4150db4d0662b88499e7258a0579cedb5ef3aa36c71e05dc6674edad3ebc7dd83278c174bcac258d949f2f0b981b
 SHA512 
3858faf151a5044e397dda2ac1ddc8bf51145205ee9a8bd6b5795415c9985e3f937dd52aacb0cbb91851fa47f5fbf9bd0adb7bf3333ae0966f4f62dd5665842f

diff --git a/www-apps/sonarr-bin/sonarr-bin-4.0.13.2932.ebuild 
b/www-apps/sonarr-bin/sonarr-bin-4.0.13.2932.ebuild
new file mode 100644
index 000000000000..5b0f54200833
--- /dev/null
+++ b/www-apps/sonarr-bin/sonarr-bin-4.0.13.2932.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit systemd
+
+DESCRIPTION="Sonarr is a Smart PVR for newsgroup and bittorrent users"
+HOMEPAGE="https://www.sonarr.tv";
+
+SRC_URI="
+       amd64? (
+               elibc_glibc? (
+                       
https://github.com/Sonarr/Sonarr/releases/download/v${PV}/Sonarr.main.${PV}.linux-x64.tar.gz
+               )
+               elibc_musl? (
+                       
https://github.com/Sonarr/Sonarr/releases/download/v${PV}/Sonarr.main.${PV}.linux-musl-x64.tar.gz
+               )
+       )
+       arm? (
+               elibc_glibc? (
+                       
https://github.com/Sonarr/Sonarr/releases/download/v${PV}/Sonarr.main.${PV}.linux-arm.tar.gz
+               )
+       )
+       arm64? (
+               elibc_glibc? (
+                       
https://github.com/Sonarr/Sonarr/releases/download/v${PV}/Sonarr.main.${PV}.linux-arm64.tar.gz
+               )
+               elibc_musl? (
+                       
https://github.com/Sonarr/Sonarr/releases/download/v${PV}/Sonarr.main.${PV}.linux-musl-arm64.tar.gz
+               )
+       )
+"
+S="${WORKDIR}/Sonarr"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+RESTRICT="bindist strip test"
+
+RDEPEND="
+       acct-group/sonarr
+       acct-user/sonarr
+       media-video/mediainfo
+       dev-libs/icu
+       dev-db/sqlite
+"
+
+QA_PREBUILT="*"
+
+src_prepare() {
+       default
+
+       # https://github.com/dotnet/runtime/issues/57784
+       find . -type f -iname libcoreclrtraceptprovider.so -delete || die
+}
+
+src_install() {
+       newinitd "${FILESDIR}/sonarr.init-r2" sonarr
+
+       keepdir /var/lib/sonarr
+       fowners -R sonarr:sonarr /var/lib/sonarr
+
+       insinto /etc/logrotate.d
+       insopts -m0644 -o root -g root
+       newins "${FILESDIR}/sonarr.logrotate" sonarr
+
+       dodir  "/opt/sonarr"
+       cp -R "${S}/." "${D}/opt/sonarr" || die "Install failed!"
+
+       systemd_newunit "${FILESDIR}/sonarr.service-r1" "sonarr.service"
+       systemd_newunit "${FILESDIR}/sonarr.service-r1" "[email protected]"
+}

Reply via email to